module ErEmail
  class Engine < ::Rails::Engine
    initializer "er_email" do 
      OrbitApp.registration "ErEmail", :type => "ModuleApp" do
        module_label "er_email.er_email"
        base_url File.expand_path File.dirname(__FILE__)
        taggable "EmailEr"
        categorizable
        authorizable

        side_bar do
          head_label_i18n 'er_email.er_email', icon_class: "icons-paperplane"
          available_for "sub_managers"
          active_for_controllers (['admin/er_emails'])
          head_link_path "admin_er_emails_path"

          context_link 'all',
                                :link_path=>"admin_er_emails_path" ,
                                :priority=>1,
                                :active_for_action=>{'admin/er_emails'=>'index'},
                                :available_for => 'sub_managers'
          context_link 'new_', 
                                :link_path=>"new_admin_er_email_path" ,
                                :priority=>2,
                                :active_for_action=>{'admin/er_emails'=>'new'},
                                :available_for => 'sub_managers'
          context_link 'categories',
                                :link_path=>"admin_module_app_categories_path" ,
                                :link_arg=>"{:module_app_id=>ModuleApp.find_by(:key=>'er_email').id}",
                                :priority=>3,
                                :active_for_action=>{'admin/er_emails'=>'categories'},
                                :active_for_category => 'ErEmail',
                                :available_for => 'managers'
        end

      end
    end
  end
end